<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateFormStepSectionsTable extends Migration
{
    public function up(): void
    {
        Schema::create('form_step_sections', function (Blueprint $table): void {
            $table->increments('id');
            $table->unsignedInteger('form_step_id');
            $table->foreign('form_step_id')->references('id')->on('form_steps')->onDelete('cascade');
            $table->string('name');
            $table->smallInteger('order');
            $table->uuid('uuid');

            $table->timestamps();
            $table->softDeletes();
        });
    }
}
